| AVR Z-LINKŪ |

# serialInterface.SerialStream Class Reference

List of all members.

## Detailed Description

This class defines serial streams that can be used for writing and reading to/from serial ports.

Application note:
  AVR414: User's Guide - ATAVRRZ502 - Accessory Kit

Author:
  Atmel Corporation: http://www.atmel.com
  Support email: avr@atmel.com

Name
  vkbakken

Revision
  1.5

RCSfile
  code_header_template_CVS_DOXYGEN.txt,v

Date
  2006/04/07 12:40:07

Definition at line 29 of file SerialStream.java.

## Public Member Functions
void | addSerialStreamEventListener (SerialStreamListener ssListener)
| This function adds a new SerialStreamEventListener to the queue of event listeners.
void | disableSerialStreamEvents ()
| This function disables SerialStream event generation.
void | enableSerialStreamEvents ()
| This function enables SerialStream event generation.
String | getData ()
| This function is used to get data from the output stream.
SerialPort | getSerialPortUsed ()
| Return the SerialPort instance to which the io streams are connected.
void | removeSerialStreamListener (SerialStreamListener ssListener)
| This function deletes a SerialStreamListener from the queue of event listeners.
void | resetReceiver ()
| This function resets the receiver.
void | sendData (String data)
| This function is used to append data to the output stream.
String | sendDataBlocking (String data)
| This is the blocking version of sendData.
void | serialEvent (SerialPortEvent spe)
| Function that any SerialPortEventListener must implement. It is called whenever new events are available.
| SerialStream (SerialPort portToAppendStream) throws SerialStreamException
| This is the SerialStream constructor. Creates a new serial stream if possible.
## Protected Member Functions
void | fireSearialStreamEvent (SerialStreamEvent SerialStreamEvent)
| When this function is called a new SerialStreamEvent is injected into the dispatcher queue to be handled by the associated SerialStreamListener.

@DOC_TITLE@